rev_idx_kab_or_kota = {
    "simeulue": "aceh",
    "aceh singkil": "aceh",
    "aceh selatan": "aceh",
    "aceh tenggara": "aceh",
    "aceh timur": "aceh",
    "aceh tengah": "aceh",
    "aceh barat": "aceh",
    "aceh besar": "aceh",
    "pidie": "aceh",
    "bireuen": "aceh",
    "aceh utara": "aceh",
    "aceh barat daya": "aceh",
    "gayo lues": "aceh",
    "aceh tamiang": "aceh",
    "nagan raya": "aceh",
    "aceh jaya": "aceh",
    "bener meriah": "aceh",
    "pidie jaya": "aceh",
    "banda aceh": "aceh",
    "sabang": "aceh",
    "langsa": "aceh",
    "lhokseumawe": "aceh",
    "subulussalam": "aceh",
    "nias": "sumatera utara",
    "mandailing natal": "sumatera utara",
    "tapanuli selatan": "sumatera utara",
    "tapanuli tengah": "sumatera utara",
    "tapanuli utara": "sumatera utara",
    "toba samosir": "sumatera utara",
    "labuhan batu": "sumatera utara",
    "asahan": "sumatera utara",
    "simalungun": "sumatera utara",
    "dairi": "sumatera utara",
    "karo": "sumatera utara",
    "deli serdang": "sumatera utara",
    "langkat": "sumatera utara",
    "nias selatan": "sumatera utara",
    "humbang hasundutan": "sumatera utara",
    "pakpak bharat": "sumatera utara",
    "samosir": "sumatera utara",
    "serdang bedagai": "sumatera utara",
    "batu bara": "sumatera utara",
    "padang lawas utara": "sumatera utara",
    "padang lawas": "sumatera utara",
    "labuhan batu selatan": "sumatera utara",
    "labuhan batu utara": "sumatera utara",
    "nias utara": "sumatera utara",
    "nias barat": "sumatera utara",
    "sibolga": "sumatera utara",
    "tanjung balai": "sumatera utara",
    "pematang siantar": "sumatera utara",
    "tebing tinggi": "sumatera utara",
    "medan": "sumatera utara",
    "binjai": "sumatera utara",
    "padangsidimpuan": "sumatera utara",
    "gunungsitoli": "sumatera utara",
    "kepulauan mentawai": "sumatera barat",
    "pesisir selatan": "sumatera barat",
    "solok": "sumatera barat",
    "sijunjung": "sumatera barat",
    "tanah datar": "sumatera barat",
    "padang pariaman": "sumatera barat",
    "agam": "sumatera barat",
    "lima puluh kota": "sumatera barat",
    "pasaman": "sumatera barat",
    "solok selatan": "sumatera barat",
    "dharmasraya": "sumatera barat",
    "pasaman barat": "sumatera barat",
    "padang": "sumatera barat",
    "sawah lunto": "sumatera barat",
    "padang panjang": "sumatera barat",
    "bukittinggi": "sumatera barat",
    "payakumbuh": "sumatera barat",
    "pariaman": "sumatera barat",
    "kuantan singingi": "riau",
    "indragiri hulu": "riau",
    "indragiri hilir": "riau",
    "pelalawan": "riau",
    "s i a k": "riau",
    "kampar": "riau",
    "rokan hulu": "riau",
    "bengkalis": "riau",
    "rokan hilir": "riau",
    "kepulauan meranti": "riau",
    "pekanbaru": "riau",
    "d u m a i": "riau",
    "kerinci": "jambi",
    "merangin": "jambi",
    "sarolangun": "jambi",
    "batang hari": "jambi",
    "muaro jambi": "jambi",
    "tanjung jabung timur": "jambi",
    "tanjung jabung barat": "jambi",
    "tebo": "jambi",
    "bungo": "jambi",
    "jambi": "jambi",
    "sungai penuh": "jambi",
    "ogan komering ulu": "sumatera selatan",
    "ogan komering ilir": "sumatera selatan",
    "muara enim": "sumatera selatan",
    "lahat": "sumatera selatan",
    "musi rawas": "sumatera selatan",
    "musi banyuasin": "sumatera selatan",
    "banyu asin": "sumatera selatan",
    "ogan komering ulu selatan": "sumatera selatan",
    "ogan komering ulu timur": "sumatera selatan",
    "ogan ilir": "sumatera selatan",
    "empat lawang": "sumatera selatan",
    "penukal abab lematang ilir": "sumatera selatan",
    "musi rawas utara": "sumatera selatan",
    "palembang": "sumatera selatan",
    "prabumulih": "sumatera selatan",
    "pagar alam": "sumatera selatan",
    "lubuklinggau": "sumatera selatan",
    "bengkulu selatan": "bengkulu",
    "rejang lebong": "bengkulu",
    "bengkulu utara": "bengkulu",
    "kaur": "bengkulu",
    "seluma": "bengkulu",
    "mukomuko": "bengkulu",
    "lebong": "bengkulu",
    "kepahiang": "bengkulu",
    "bengkulu tengah": "bengkulu",
    "bengkulu": "bengkulu",
    "lampung barat": "lampung",
    "tanggamus": "lampung",
    "lampung selatan": "lampung",
    "lampung timur": "lampung",
    "lampung tengah": "lampung",
    "lampung utara": "lampung",
    "way kanan": "lampung",
    "tulangbawang": "lampung",
    "pesawaran": "lampung",
    "pringsewu": "lampung",
    "mesuji": "lampung",
    "tulang bawang barat": "lampung",
    "pesisir barat": "lampung",
    "bandar lampung": "lampung",
    "metro": "lampung",
    "bangka": "kepulauan bangka belitung",
    "belitung": "kepulauan bangka belitung",
    "bangka barat": "kepulauan bangka belitung",
    "bangka tengah": "kepulauan bangka belitung",
    "bangka selatan": "kepulauan bangka belitung",
    "belitung timur": "kepulauan bangka belitung",
    "pangkal pinang": "kepulauan bangka belitung",
    "karimun": "kepulauan riau",
    "bintan": "kepulauan riau",
    "natuna": "kepulauan riau",
    "lingga": "kepulauan riau",
    "kepulauan anambas": "kepulauan riau",
    "batam": "kepulauan riau",
    "tanjung pinang": "kepulauan riau",
    "kepulauan seribu": "dki jakarta",
    "jakarta selatan": "dki jakarta",
    "jakarta timur": "dki jakarta",
    "jakarta pusat": "dki jakarta",
    "jakarta barat": "dki jakarta",
    "jakarta utara": "dki jakarta",
    "bogor": "jawa barat",
    "sukabumi": "jawa barat",
    "cianjur": "jawa barat",
    "bandung": "jawa barat",
    "garut": "jawa barat",
    "tasikmalaya": "jawa barat",
    "ciamis": "jawa barat",
    "kuningan": "jawa barat",
    "cirebon": "jawa barat",
    "majalengka": "jawa barat",
    "sumedang": "jawa barat",
    "indramayu": "jawa barat",
    "subang": "jawa barat",
    "purwakarta": "jawa barat",
    "karawang": "jawa barat",
    "bekasi": "jawa barat",
    "bandung barat": "jawa barat",
    "pangandaran": "jawa barat",
    "depok": "jawa barat",
    "cimahi": "jawa barat",
    "banjar": "kalimantan selatan",
    "cilacap": "jawa tengah",
    "banyumas": "jawa tengah",
    "purbalingga": "jawa tengah",
    "banjarnegara": "jawa tengah",
    "kebumen": "jawa tengah",
    "purworejo": "jawa tengah",
    "wonosobo": "jawa tengah",
    "magelang": "jawa tengah",
    "boyolali": "jawa tengah",
    "klaten": "jawa tengah",
    "sukoharjo": "jawa tengah",
    "wonogiri": "jawa tengah",
    "karanganyar": "jawa tengah",
    "sragen": "jawa tengah",
    "grobogan": "jawa tengah",
    "blora": "jawa tengah",
    "rembang": "jawa tengah",
    "pati": "jawa tengah",
    "kudus": "jawa tengah",
    "jepara": "jawa tengah",
    "demak": "jawa tengah",
    "semarang": "jawa tengah",
    "temanggung": "jawa tengah",
    "kendal": "jawa tengah",
    "batang": "jawa tengah",
    "pekalongan": "jawa tengah",
    "pemalang": "jawa tengah",
    "tegal": "jawa tengah",
    "brebes": "jawa tengah",
    "surakarta": "jawa tengah",
    "salatiga": "jawa tengah",
    "kulon progo": "di yogyakarta",
    "bantul": "di yogyakarta",
    "gunung kidul": "di yogyakarta",
    "sleman": "di yogyakarta",
    "yogyakarta": "di yogyakarta",
    "pacitan": "jawa timur",
    "ponorogo": "jawa timur",
    "trenggalek": "jawa timur",
    "tulungagung": "jawa timur",
    "blitar": "jawa timur",
    "kediri": "jawa timur",
    "malang": "jawa timur",
    "lumajang": "jawa timur",
    "jember": "jawa timur",
    "banyuwangi": "jawa timur",
    "bondowoso": "jawa timur",
    "situbondo": "jawa timur",
    "probolinggo": "jawa timur",
    "pasuruan": "jawa timur",
    "sidoarjo": "jawa timur",
    "mojokerto": "jawa timur",
    "jombang": "jawa timur",
    "nganjuk": "jawa timur",
    "madiun": "jawa timur",
    "magetan": "jawa timur",
    "ngawi": "jawa timur",
    "bojonegoro": "jawa timur",
    "tuban": "jawa timur",
    "lamongan": "jawa timur",
    "gresik": "jawa timur",
    "bangkalan": "jawa timur",
    "sampang": "jawa timur",
    "pamekasan": "jawa timur",
    "sumenep": "jawa timur",
    "surabaya": "jawa timur",
    "batu": "jawa timur",
    "pandeglang": "banten",
    "lebak": "banten",
    "tangerang": "banten",
    "serang": "banten",
    "cilegon": "banten",
    "tangerang selatan": "banten",
    "jembrana": "bali",
    "tabanan": "bali",
    "badung": "bali",
    "gianyar": "bali",
    "klungkung": "bali",
    "bangli": "bali",
    "karang asem": "bali",
    "buleleng": "bali",
    "denpasar": "bali",
    "lombok barat": "nusa tenggara barat",
    "lombok tengah": "nusa tenggara barat",
    "lombok timur": "nusa tenggara barat",
    "sumbawa": "nusa tenggara barat",
    "dompu": "nusa tenggara barat",
    "bima": "nusa tenggara barat",
    "sumbawa barat": "nusa tenggara barat",
    "lombok utara": "nusa tenggara barat",
    "mataram": "nusa tenggara barat",
    "sumba barat": "nusa tenggara timur",
    "sumba timur": "nusa tenggara timur",
    "kupang": "nusa tenggara timur",
    "timor tengah selatan": "nusa tenggara timur",
    "timor tengah utara": "nusa tenggara timur",
    "belu": "nusa tenggara timur",
    "alor": "nusa tenggara timur",
    "lembata": "nusa tenggara timur",
    "flores timur": "nusa tenggara timur",
    "sikka": "nusa tenggara timur",
    "ende": "nusa tenggara timur",
    "ngada": "nusa tenggara timur",
    "manggarai": "nusa tenggara timur",
    "rote ndao": "nusa tenggara timur",
    "manggarai barat": "nusa tenggara timur",
    "sumba tengah": "nusa tenggara timur",
    "sumba barat daya": "nusa tenggara timur",
    "nagekeo": "nusa tenggara timur",
    "manggarai timur": "nusa tenggara timur",
    "sabu raijua": "nusa tenggara timur",
    "malaka": "nusa tenggara timur",
    "sambas": "kalimantan barat",
    "bengkayang": "kalimantan barat",
    "landak": "kalimantan barat",
    "mempawah": "kalimantan barat",
    "sanggau": "kalimantan barat",
    "ketapang": "kalimantan barat",
    "sintang": "kalimantan barat",
    "kapuas hulu": "kalimantan barat",
    "sekadau": "kalimantan barat",
    "melawi": "kalimantan barat",
    "kayong utara": "kalimantan barat",
    "kubu raya": "kalimantan barat",
    "pontianak": "kalimantan barat",
    "singkawang": "kalimantan barat",
    "kotawaringin barat": "kalimantan tengah",
    "kotawaringin timur": "kalimantan tengah",
    "kapuas": "kalimantan tengah",
    "barito selatan": "kalimantan tengah",
    "barito utara": "kalimantan tengah",
    "sukamara": "kalimantan tengah",
    "lamandau": "kalimantan tengah",
    "seruyan": "kalimantan tengah",
    "katingan": "kalimantan tengah",
    "pulang pisau": "kalimantan tengah",
    "gunung mas": "kalimantan tengah",
    "barito timur": "kalimantan tengah",
    "murung raya": "kalimantan tengah",
    "palangka raya": "kalimantan tengah",
    "tanah laut": "kalimantan selatan",
    "kota baru": "kalimantan selatan",
    "barito kuala": "kalimantan selatan",
    "tapin": "kalimantan selatan",
    "hulu sungai selatan": "kalimantan selatan",
    "hulu sungai tengah": "kalimantan selatan",
    "hulu sungai utara": "kalimantan selatan",
    "tabalong": "kalimantan selatan",
    "tanah bumbu": "kalimantan selatan",
    "balangan": "kalimantan selatan",
    "banjarmasin": "kalimantan selatan",
    "banjar baru": "kalimantan selatan",
    "paser": "kalimantan timur",
    "kutai barat": "kalimantan timur",
    "kutai kartanegara": "kalimantan timur",
    "kutai timur": "kalimantan timur",
    "berau": "kalimantan timur",
    "penajam paser utara": "kalimantan timur",
    "mahakam hulu": "kalimantan timur",
    "balikpapan": "kalimantan timur",
    "samarinda": "kalimantan timur",
    "bontang": "kalimantan timur",
    "malinau": "kalimantan utara",
    "bulungan": "kalimantan utara",
    "tana tidung": "kalimantan utara",
    "nunukan": "kalimantan utara",
    "tarakan": "kalimantan utara",
    "bolaang mongondow": "sulawesi utara",
    "minahasa": "sulawesi utara",
    "kepulauan sangihe": "sulawesi utara",
    "kepulauan talaud": "sulawesi utara",
    "minahasa selatan": "sulawesi utara",
    "minahasa utara": "sulawesi utara",
    "bolaang mongondow utara": "sulawesi utara",
    "siau tagulandang biaro": "sulawesi utara",
    "minahasa tenggara": "sulawesi utara",
    "bolaang mongondow selatan": "sulawesi utara",
    "bolaang mongondow timur": "sulawesi utara",
    "manado": "sulawesi utara",
    "bitung": "sulawesi utara",
    "tomohon": "sulawesi utara",
    "kotamobagu": "sulawesi utara",
    "banggai kepulauan": "sulawesi tengah",
    "banggai": "sulawesi tengah",
    "morowali": "sulawesi tengah",
    "poso": "sulawesi tengah",
    "donggala": "sulawesi tengah",
    "toli-toli": "sulawesi tengah",
    "buol": "sulawesi tengah",
    "parigi moutong": "sulawesi tengah",
    "tojo una-una": "sulawesi tengah",
    "sigi": "sulawesi tengah",
    "banggai laut": "sulawesi tengah",
    "morowali utara": "sulawesi tengah",
    "palu": "sulawesi tengah",
    "kepulauan selayar": "sulawesi selatan",
    "bulukumba": "sulawesi selatan",
    "bantaeng": "sulawesi selatan",
    "jeneponto": "sulawesi selatan",
    "takalar": "sulawesi selatan",
    "gowa": "sulawesi selatan",
    "sinjai": "sulawesi selatan",
    "maros": "sulawesi selatan",
    "pangkajene dan kepulauan": "sulawesi selatan",
    "barru": "sulawesi selatan",
    "bone": "sulawesi selatan",
    "soppeng": "sulawesi selatan",
    "wajo": "sulawesi selatan",
    "sidenreng rappang": "sulawesi selatan",
    "pinrang": "sulawesi selatan",
    "enrekang": "sulawesi selatan",
    "luwu": "sulawesi selatan",
    "tana toraja": "sulawesi selatan",
    "luwu utara": "sulawesi selatan",
    "luwu timur": "sulawesi selatan",
    "toraja utara": "sulawesi selatan",
    "makassar": "sulawesi selatan",
    "parepare": "sulawesi selatan",
    "palopo": "sulawesi selatan",
    "buton": "sulawesi tenggara",
    "muna": "sulawesi tenggara",
    "konawe": "sulawesi tenggara",
    "kolaka": "sulawesi tenggara",
    "konawe selatan": "sulawesi tenggara",
    "bombana": "sulawesi tenggara",
    "wakatobi": "sulawesi tenggara",
    "kolaka utara": "sulawesi tenggara",
    "buton utara": "sulawesi tenggara",
    "konawe utara": "sulawesi tenggara",
    "kolaka timur": "sulawesi tenggara",
    "konawe kepulauan": "sulawesi tenggara",
    "muna barat": "sulawesi tenggara",
    "buton tengah": "sulawesi tenggara",
    "buton selatan": "sulawesi tenggara",
    "kendari": "sulawesi tenggara",
    "baubau": "sulawesi tenggara",
    "boalemo": "gorontalo",
    "gorontalo": "gorontalo",
    "pohuwato": "gorontalo",
    "bone bolango": "gorontalo",
    "gorontalo utara": "gorontalo",
    "majene": "sulawesi barat",
    "polewali mandar": "sulawesi barat",
    "mamasa": "sulawesi barat",
    "mamuju": "sulawesi barat",
    "mamuju utara": "sulawesi barat",
    "mamuju tengah": "sulawesi barat",
    "maluku tenggara barat": "maluku",
    "maluku tenggara": "maluku",
    "maluku tengah": "maluku",
    "buru": "maluku",
    "kepulauan aru": "maluku",
    "seram bagian barat": "maluku",
    "seram bagian timur": "maluku",
    "maluku barat daya": "maluku",
    "buru selatan": "maluku",
    "ambon": "maluku",
    "tual": "maluku",
    "halmahera barat": "maluku utara",
    "halmahera tengah": "maluku utara",
    "kepulauan sula": "maluku utara",
    "halmahera selatan": "maluku utara",
    "halmahera utara": "maluku utara",
    "halmahera timur": "maluku utara",
    "pulau morotai": "maluku utara",
    "pulau taliabu": "maluku utara",
    "ternate": "maluku utara",
    "tidore kepulauan": "maluku utara",
    "fakfak": "papua barat",
    "kaimana": "papua barat",
    "teluk wondama": "papua barat",
    "teluk bintuni": "papua barat",
    "manokwari": "papua barat",
    "sorong selatan": "papua barat",
    "sorong": "papua barat",
    "raja ampat": "papua barat",
    "tambrauw": "papua barat",
    "maybrat": "papua barat",
    "manokwari selatan": "papua barat",
    "pegunungan arfak": "papua barat",
    "merauke": "papua",
    "jayawijaya": "papua",
    "jayapura": "papua",
    "nabire": "papua",
    "kepulauan yapen": "papua",
    "biak numfor": "papua",
    "paniai": "papua",
    "puncak jaya": "papua",
    "mimika": "papua",
    "boven digoel": "papua",
    "mappi": "papua",
    "asmat": "papua",
    "yahukimo": "papua",
    "pegunungan bintang": "papua",
    "tolikara": "papua",
    "sarmi": "papua",
    "keerom": "papua",
    "waropen": "papua",
    "supiori": "papua",
    "mamberamo raya": "papua",
    "nduga": "papua",
    "lanny jaya": "papua",
    "mamberamo tengah": "papua",
    "yalimo": "papua",
    "puncak": "papua",
    "dogiyai": "papua",
    "intan jaya": "papua",
    "deiyai": "papua",
}


provinces = [
    "aceh",
    "sumatera utara",
    "sumatera barat",
    "riau",
    "jambi",
    "sumatera selatan",
    "bengkulu",
    "lampung",
    "kepulauan bangka belitung",
    "kepulauan riau",
    "dki jakarta",
    "jawa barat",
    "jawa tengah",
    "di yogyakarta",
    "jawa timur",
    "banten",
    "bali",
    "nusa tenggara barat",
    "nusa tenggara timur",
    "kalimantan barat",
    "kalimantan tengah",
    "kalimantan selatan",
    "kalimantan timur",
    "kalimantan utara",
    "sulawesi utara",
    "sulawesi tengah",
    "sulawesi selatan",
    "sulawesi tenggara",
    "gorontalo",
    "sulawesi barat",
    "maluku",
    "maluku utara",
    "papua barat",
    "papua",
]
